- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Action::Task Class Reference

Abstract base class for all concrete actions. More...

`#include <actions.hpp>`

Inheritance diagram for Action::Task:

[legend]
List of all members.

## Public Types
typedef std::auto_ptr< Task > | AutoPtr
| Shortcut for an auto pointer.
## Public Member Functions
virtual | ~Task ()
| Virtual destructor.
AutoPtr | clone () const
| Virtual copy construction.
virtual int | run (const std::string &path)=0
| Application interface to perform a task.

## Detailed Description

Abstract base class for all concrete actions.

Task provides a simple interface that actions must implement and a few commonly used helpers.

## Member Function Documentation

virtual int Action::Task::run | ( | const std::string & | path | ) | `[pure virtual]`

  | Application interface to perform a task. Parameters:
  | path | Path of the file to process.
Returns: 0 if successful. Implemented in Action::Print, Action::Rename, Action::Adjust, Action::Erase, Action::Extract, Action::Insert, Action::Modify, and Action::FixIso.

The documentation for this class was generated from the following files:

- actions.hpp
- actions.cpp